<?php
if (!class_exists('WPContentMagic_ClickLink')) {
	class WPContentMagic_ClickLink
	{
		/**
		 * DB Identification 
		 * @var int
		 */
		private $id;
		
		/**
		 * Link/Url
		 * @var string
		 */
		private $link;
		
		/**
		 * ip_from
		 * @var string
		 */
		private $ip_from;
		
		/**
		 * dt_click
		 * 
		 * Unix timestamp
		 * 
		 * @var int
		 */
		private $dt_click;
		
		/**
		 * Table to save it in database
		 * @var string
		 */
		private $db_table;
		
		/**
		 * Create object
		 * 
		 * @param int 	$id
		 * @param array $settings
		 */
		public function __construct($id='',$link='',$ip_from='') {
			$this->set_id($id);
			$this->set_link($link);
			$this->set_ip_from($ip_from);
			
			$this->set_db_table();
		}
		
		/**
		 * @return the $link
		 */
		public function get_link() {
			return $this->link;
		}

		/**
		 * @param $link the $link to set
		 */
		public function set_link($link) {
			$this->link = $link;
		}
		
		/**
		 * @return the $ip_from
		 */
		public function get_ip_from() {
			return $this->ip_from;
		}

		/**
		 * @param $ip_from the $ip_from to set
		 */
		public function set_ip_from($ip_from) {
			$this->ip_from = $ip_from;
		}
		
		/**
		 * @return the $dt_click
		 */
		public function get_dt_click() {
			return $this->dt_click;
		}
		
		/**
		 * @return the $id
		 */
		public function get_id() {
			return $this->id;
		}

		/**
		 * @return the $db_table
		 */
		public function get_db_table() {
			return $this->db_table;
		}

		/**
		 * @param $id the $id to set
		 */
		public function set_id($id) {
			$this->id = $id;
		}

		/**
		 * @param $db_table the $db_table to set
		 */
		public function set_db_table() {
			global $wpdb;
		   	$db_table =  $wpdb->prefix . WPContentMagic::$db_prefix . 'clicks_links';
		   	
			$this->db_table = $db_table;
		}
		
		/**
		 * Add to the DB the job
		 * 
		 * @return	int|bool 	ID generated for an AUTO_INCREMENT column by the most recent INSERT query 
		 * 							or FALSE when the query wasn't executed succesfully
		 */
		public function save_to_db() {
			$db_obj = new WPContentMagic_DBO($this->get_db_table());
			
			$to_db['link'] = $this->get_link();
			$to_db['ip_from'] = $this->get_ip_from();
			$to_db['dt_click'] = time();
			
			return $db_obj->add($to_db);
		}
		
		/**
		 * Fill the Object with data in DB
		 * 
		 */
		public function fill_from_db() {
			// Get all data from DB
			$db_obj = new WPContentMagic_DBO($this->get_db_table());
			$data = $db_obj->get($this->get_id());
			
			$this->set_link($data->link);
			$this->set_ip_from($data->ip_from);
			$this->dt_click = $data->dt_click;
		}
		
		/**
		 * Delete the Object in DB
		 * 
		 * @return 	bool 	true when query was executed succesfully, else return FALSE
		 */
		public function delete_in_db() {
			// Get all data from DB
			$db_obj = new WPContentMagic_DBO($this->get_db_table());
			return $db_obj->delete($this->get_id());
		}
	}
}
