<?php
if (!class_exists('WPContentMagic_Files')) {
	class WPContentMagic_Files
	{
		/**
		 * Return the first line
		 * 
		 * Is cosider the first line with text
		 *
		 * @static 
		 * @param	string	$content
		 * @return 	string
		 * @access 	public
		 * 
		 */
		static function get_first_text_line($content) {
			$lines = explode(PHP_EOL,$content);
			
			foreach ($lines as $line) {
				if (trim($line)!='') {
					// We found the first line with text: this is the title
					return $line;
				}
			}
		}
		
		/**
		 * Return all the name and content of files inside a Zip file
		 *
		 * @static 
		 * @return array
		 * @access public
		 * 
		 */
		static function get_all_files_in_zip($zip_file_path) {
			
			$files_to_process = array();
			$zip = zip_open($zip_file_path);
			
			if ($zip) {
			    while ($zip_entry = zip_read($zip)) {
			        $file_name = zip_entry_name($zip_entry);
			        $file_content = '';
			        if (zip_entry_open($zip, $zip_entry, "r")) {
			            $file_content = zip_entry_read($zip_entry, zip_entry_filesize($zip_entry));
			            zip_entry_close($zip_entry);
			        }
			        
			        $files_to_process[] = array('file_name'=>$file_name,'file_content'=>$file_content);
			    }
			    zip_close($zip);
			}			
			
			return $files_to_process;
		}
	}
}
