<?php
if (!class_exists('WPContentMagic_Upload')) {
	class WPContentMagic_Upload
	{
	   /**
         * Handle the file uploaded
         * 
         * Can be .txt or .zip
         * 
         * @param 	$_FILES		$file
         * @param 	array		$settings	with all the setting options
         * @return	array		with all files info
         * @static 
         */
		static function handle_file($file,$settings) {
        	
			// Data from file uploaded
			$name = $file['filedata']['name'];
			$tmp_name = $file['filedata']['tmp_name'];
			
			$files_info_arr = array();
			if ($tmp_name!='') {
				// Check if is Zip or Txt
				$ext = pathinfo($name,PATHINFO_EXTENSION);
				
				if ($ext=='txt') {
					// Only one file
					$files_to_process[] = array('file_name'=>$name,'file_content'=>file_get_contents($tmp_name));
				}
				else {
					// Get content and name of all files inside the Zip file
					$files_to_process = WPContentMagic_Files::get_all_files_in_zip($tmp_name);
				}
				
				// For each file to process, get the data
				foreach ($files_to_process as $file_to_process) {
					$file_name = $file_to_process['file_name'];
					$file_content = $file_to_process['file_content'];
					
					// Define content
					// Maybe for future source are needed: funky_javascript_fix(), wp_specialchars(), stripslashes(),apply_filters( 'default_content', $content);
					$file_content = str_replace('“','"',$file_content);
					$file_content = str_replace('”','"',$file_content);
					$post_content = utf8_encode($file_content); // function used to avoid problem with spacial character with other encoding
					
					
					// Identify title
					if ($settings['post_title_from']=='file') {
						$filename = pathinfo($file_name,PATHINFO_FILENAME); // Only file name, not extension
						// Separators (‘-‘) will be replaced with spaces
						$filename = str_replace('-',' ',$filename);
						$post_title = $filename;
					}
					else { // get from text title
						$post_title = WPContentMagic_Files::get_first_text_line($file_content);
					}
					
					$files_info_arr[] = array($post_title,$post_content);
				}
			}
			
			return $files_info_arr;
        }
	}
}