<?php
if (!class_exists('WPContentMagic_WPPosts')) {
	class WPContentMagic_WPPosts
	{
	    /**
         * Function to add post with imported articles data
         * 
         * @param 	string	$title
         * @param 	string	$content
         * @param 	string	$post_date
		 * @param	array	$settings			All options to use. Can be the stored in database for all Imports 
		 * 											or an specific configuration for a Queued import
         * @return 	void
         * @static 
         */
        static function add_post($title,$content,$post_date,$settings) {
        	
        	$my_post['post_title'] = $title;
			
        	if (WPContentMagic_Users::is_user_authenticate()) {
				$my_post['post_author'] = WPContentMagic_Users::get_current_user_id();
			}
			else {
				$my_post['post_author'] = 1; // admin user
			}
			
			// Set status and type for imported posts
			$my_post['post_status'] = $settings['post_status'];
			$my_post['post_type'] = $settings['post_type'];
			
			// Get keywords
        	$keys_arr = WPContentMagic_Keywords::get_keywords_from_title($title);
			
			/*
			 * Set Tags
			 * 
			 * Determined from the words in title, except the Stop Words
			 */
			if ($settings['auto_tag_article']=='1') {
				$my_post['tags_input'] = implode(',',$keys_arr);
			}
			elseif ($settings['auto_tag_article']=='2') {
				// Replace the keywords and use as tags
				$keywords_typed_for_tag_article = $settings['keywords_typed_for_tag_article'];
				$keys_arr = array(); // Set as empty, and use it even if the user doesn't enter any keyword
				if (trim($keywords_typed_for_tag_article)!='') {
					$keys_arr_tmp = explode(',',$keywords_typed_for_tag_article);
					foreach ($keys_arr_tmp as $key_tmp) { // For clean from spaces
						$keys_arr[] = trim($key_tmp);
					}
					
					$my_post['tags_input'] = implode(',',$keys_arr);	
				}
			}
			
			// Store post content with the selected style in keywords
			$content = str_replace('“','"',$content);
			$content = str_replace('”','"',$content);
			$content = WPContentMagic_HtmlStyles::apply_links_to_content($content,$settings);
			$content = WPContentMagic_HtmlStyles::apply_styles_to_content($content,$keys_arr,$settings);
			$my_post['post_content'] = $content;
			
			// Set Category
			if ($settings['post_category']!='') {
				$my_post['post_category'] = array($settings['post_category']);
			}
			
			// Define date
			$my_post['post_date'] = date('Y-m-d h:i:s',$post_date); // Convert to Mysql Format
			
			// Add Post
			$inserted_post_id = wp_insert_post($my_post);
		   	
		   	return $inserted_post_id;
        }
	}
}