<?php 
/**
 * Include to show the settings page
 *
 * @package admin-panel
 * 
 */
if (isset($_POST['submit']) || isset($_POST['save'])) {
	// Security: Check nonce
	check_admin_referer('WPContentMagic-save-settings');
	
	/*
	 * Save Settings
	 */
	$data['post_type'] = $_POST['post_type'];
	$data['post_status'] = $_POST['post_status'];
	$data['post_title_from'] = $_POST['post_title_from'];// Can be: file or title
	$data['auto_tag_article'] = $_POST['auto_tag_article'];
	$data['keywords_typed_for_tag_article'] = $_POST['keywords_typed_for_tag_article'];
	
	if ($_POST['post_category']!='-1') {
		// Some category was selected from the Drop Down
		$data['post_category'] = $_POST['post_category'];
	}
	else {
		// 	User can create new category, if is the case, add it and set the added ID as the category selected
		$post_category_text = $_POST['post_category_text'];
		if (trim($post_category_text)!='') {
			// Check first if the Category is already added
			$already_cat = get_category_by_slug($post_category_text);
			if ($already_cat) {
				$data['post_category'] = $already_cat->term_id;
			}
			else {
				$data['post_category'] = wp_insert_category(array('cat_name'=>$post_category_text));
			}
		}
	}
	
	$data['auto_posting_schedule'] = $_POST['auto_posting_schedule'];
	$data['custom_schedule_date'] = $_POST['custom_schedule_date'];
	$data['schedule_number_begin'] = $_POST['schedule_number_begin'];
	$data['schedule_unit_begin'] = $_POST['schedule_unit_begin'];
	$data['schedule_number_end'] = $_POST['schedule_number_end'];
	$data['schedule_unit_end'] = $_POST['schedule_unit_end'];
	
	if (isset($_POST['seo_options_bold_decoration'])) {
		$data['seo_options_bold_decoration'] = 1;
	}
	else {
		$data['seo_options_bold_decoration'] = 0;
	}
	$data['seo_options_bold_per_article'] = $_POST['seo_options_bold_per_article'];
	if (isset($_POST['seo_options_underline_decoration'])) {
		$data['seo_options_underline_decoration'] = 1;
	}
	else {
		$data['seo_options_underline_decoration'] = 0;
	}
	$data['seo_options_underline_per_article'] = $_POST['seo_options_underline_per_article'];
	if (isset($_POST['seo_options_italicize_decoration'])) {
		$data['seo_options_italicize_decoration'] = 1;
	}
	else {
		$data['seo_options_italicize_decoration'] = 0;
	}
	$data['seo_options_italicize_per_article'] = $_POST['seo_options_italicize_per_article'];
	
	$data['add_hyperlinks'] = $_POST['add_hyperlinks'];
	$data['in_content_hyperlinks_quantity'] = $_POST['in_content_hyperlinks_quantity'];
	$data['csv_keyword_url'] = $_POST['csv_keyword_url'];

	$data['cloak_links'] = $_POST['cloak_links'];
	$data['track_links'] = $_POST['track_links'];
	if (isset($_POST['outbound_links_add_nofollow'])) {
		$data['outbound_links_add_nofollow'] = 1;
	}
	else {
		$data['outbound_links_add_nofollow'] = 0;
	}
	if (isset($_POST['outbound_links_open_new_window'])) {
		$data['outbound_links_open_new_window'] = 1;
	}
	else {
		$data['outbound_links_open_new_window'] = 0;
	}
	
	// Save settings
	WPContentMagic_Settings::update_options($data);

	if (isset($_POST['submit'])) {
		/*
		 * Add articles/posts from uploaded file
		 */
		$info_from_files_arr = WPContentMagic_Upload::handle_file($_FILES,$data);
		WPContentMagic_Scheduling::add_scheduled_posts($info_from_files_arr,$data);
		
		// Show notification message
		$msg_notify[] = __('The Settings were saved and the Posts publications scheduled.',WPContentMagic::$trans_domain);
	}
	else {
		// Was just save the settings
		$msg_notify[] = __('The Settings were saved.',WPContentMagic::$trans_domain);
	}
}

// Get data to show
$data = WPContentMagic_Settings::get_options();

include( WPContentMagic::$template_dir . '/includes/admin/handle_settings.php'); 
