/**
 * @projectDescription Behaviour for the Settings page.
 *
 */
jQuery(function($){
    // Initialize the Datetimepicker jQuery plugin.
    $('#custom_schedule_date').datetimepicker();
    
    /*
     * Auto Tag Each Article? radiobuttons and textarea associated behaviour.
     */
    // If the radiobutton is checked enable the textarea field for input manual tags values.		
    // Initial input text states.
    if ($('[name=auto_tag_article]').filter('[value=2]').attr('checked')) {
        $('#keywords-typed-for-tag-article').removeAttr('disabled');
    }
    else {
        $('#keywords-typed-for-tag-article').attr('disabled', 'disabled');
    }
    
    // Handler for radiobutton clicking.
    $('[name=auto_tag_article]').click(function(){
        // Was unchecked the "I'll Add My Own Keywords" radiobutton.
        if ($(this).val() != 2) {
            //Disable the input text elements.
            $('#keywords-typed-for-tag-article').attr('disabled', 'disabled');
        }
        // Was checked the "I'll Add My Own Keywords" radiobutton..
        else {
            $('#keywords-typed-for-tag-article').removeAttr('disabled');
        }
    });
    
    /*
     * Auto Posting Schedule radiobuttons and datetimepicker input field associated behaviour.
     */
    // If the radiobutton is checked enable the textarea field for input manual tags values.		
    // Initial input text states.
    if ($('[name=auto_posting_schedule]').filter('[value=custom]').attr('checked')) {
        $('#custom_schedule_date').removeAttr('disabled');
    }
    else {		
		$('#custom_schedule_date_wrap').hide('blind');
        $('#custom_schedule_date').attr('disabled', 'disabled');
    }
    
    // Handler for radiobutton clicking.
    $('[name=auto_posting_schedule]').click(function(){
        // Was unchecked the "I'll Add My Own Keywords" radiobutton.
        if ($(this).val() != 'custom') {
			if ($('#custom_schedule_date_wrap').css('display') != 'none') {
				//Disable the input text elements.
				$('#custom_schedule_date_wrap').hide('blind');				
			}	
			$('#custom_schedule_date').attr('disabled', 'disabled');
        }
        // Was checked the "I'll Add My Own Keywords" radiobutton..
        else {
			if ($('#custom_schedule_date_wrap').css('display') == 'none') {
				$('#custom_schedule_date_wrap').show('blind');				
			}			
			$('#custom_schedule_date').removeAttr('disabled');
        }
    });
    
    /*
     * Add Hyperlinks? dropdown and fields associated behaviour.
     */
    // If the "Yes" option is selected enable the input and textarea field for input links.		
    // Initial fields state.
    if ($('[name=add_hyperlinks] option:selected').val() == 1) {
        $('[name=in_content_hyperlinks_quantity]').removeAttr('disabled');
        $('[name=csv_keyword_url]').removeAttr('disabled');
    }
    else {
        $('[name=in_content_hyperlinks_quantity]').attr('disabled', 'disabled');
        $('[name=csv_keyword_url]').attr('disabled', 'disabled');
    }
    
    // Handler for dropdown change.
    $('[name=add_hyperlinks]').change(function(){
        // Was selected the "Yes" option.
        if ($(this).children('option:selected').val() == 1) {
            // Enable the input elements.
            $('[name=in_content_hyperlinks_quantity]').removeAttr('disabled');
            $('[name=csv_keyword_url]').removeAttr('disabled');
        }
        else {
            $('[name=in_content_hyperlinks_quantity]').attr('disabled', 'disabled');
            $('[name=csv_keyword_url]').attr('disabled', 'disabled');
        }
    });
});
